Bug 116547 - No information about RaLink wireless chipset
No information about RaLink wireless chipset
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: hwdata (Show other bugs)
rawhide
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-22 23:34 EST by Dimitris
Modified: 2014-03-16 22:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-23 00:06:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitris 2004-02-22 23:34:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040124

Description of problem:
hwdata does not contain any information about the
RaLink Wireless chipset (802.11b) which is used
by many different brands.

The chipset is made by RaLink Technology Corp
(http://www.ralinktech.com.tw)

The PCI device id is 1814:0101


Here are two examples:


Asus WiFi-Home (not a PCI card, uses proprietry connection):

00:0a.0 Network controller: Unknown device 1814:0101
Subsystem: Asustek Computer, Inc.: Unknown device 0126
Flags: bus master, slow devsel, latency 48, IRQ 11
Memory at dd000000 (32-bit, non-prefetchable) [size=8K]
Capabilities: [40] Power Management version 2

Minitar WL-PCI:

00:08.0 Network controller: Unknown device 1814:0101
Subsystem: CNet Technology Inc: Unknown device 0010
Flags: bus master, slow devsel, latency 64, IRQ 19
Memory at dfffc000 (32-bit, non-prefetchable) [size=8K]
Capabilities: [40] Power Management version 0



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install a wireless device with a RaLink chipset
2. lspci will produce an uknown device message

    

Actual Results:  lspci gives:

00:0a.0 Network controller: Unknown device 1814:0101


Expected Results:  The device should be recognized as a RaLink
Wireless 802.11b chipset.

Additional info:

none
Comment 1 Dimitris 2004-02-22 23:54:05 EST
Oh, i forgot to say that the chipset name/model is: RT2400

An appropriate description would be:

RaLink Technology Corp RT2400 802.11b Adapter

or just:

RT2400 802.11b Adapter
Comment 2 Bill Nottingham 2004-02-23 00:06:20 EST
Please file these upstream at pciids.sf.net.
Comment 3 Dimitris 2004-02-23 00:14:05 EST
Their online database already includes the proper
information about the RT2400 device.

BUT, their released pci.ids database does not include the
RT2400 device. The entry on their website is marked with
a green color, meaning it is not 'approved' yet.

I guess we can only wait and see. Thanks for pointing out the website.

Note You need to log in before you can comment on or make changes to this bug.